/* From Meyers and Plum. "The New C: Low-Level I/O for Embedded Systems,"
 * C/C++ Users Journal, November 2003.
 *
 * This file defines and initializes the I/O Register Designators for the
 * first parallel port in the style of:
 * ISO/IEC TR 18037, C Extensions to Support Embedded Processors.
 *
 * Note: All names beginning with _ are private implementation details
 * only to be used by iohw.h, iohw.c, iolpt.h, and iolpt.c.
 *
 */

#include "iohw.h"
#include "iolpt.h"

extern _IOreg lpt1_data = {_Port8};
extern _IOreg lpt1_status = {_Port8};
extern _IOreg lpt1_control = {_Port8};
extern _IOreg lpt1_ecp_control = {_Port8};
